Bug 246187 - Login screen is unintuitive for user-switching
Login screen is unintuitive for user-switching
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-28 22:57 EDT by n0dalus
Modified: 2009-01-08 23:39 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-08 23:39:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description n0dalus 2007-06-28 22:57:59 EDT
Description of problem:
The login screen when switching users (using FUSA) is unintuitive.
* It should make it clear that this is a user-switch, so it should have text
somewhere saying "Switching User"
* It should be easy to cancel the user switch, so a cancel button should be
added to the screen, (instead of users having to use Options->Quit)
* If FUSA was used to select the user to switch to, gdm simply asks for the
password, not saying which user the password is for.
* If a user was pre-selected, it should still give an option to change to other
users. At the moment if FUSA is used, the password is asked for repeatedly with
no option to log in as a different user instead.
* A lot of this makes it very confusing if someone starts the process of
switching users and then walks off -- anyone else that comes along sees a login
screen but they keep getting asked for a single password with no indication of
whose password they should be entering. They will probably restart the computer,
losing the already logged-in users' data.

Version-Release number of selected component (if applicable):
Comment 1 Bug Zapper 2008-11-26 02:22:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Bug Zapper 2009-01-08 23:39:59 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.